Permalink
Browse files

Release 2.2.0

Fix of Neo4j::Config (neo4j-core) boolean properties, closes #218
  • Loading branch information...
1 parent 0104e3b commit eca8004e72a0ddb831c0b1b6d9414531ca7a8a28 @andreasronge andreasronge committed Oct 2, 2012
Showing with 18 additions and 25 deletions.
  1. +3 −0 CHANGELOG
  2. +10 −21 README.rdoc
  3. +3 −2 example/ha-cluster/Gemfile
  4. +1 −1 lib/neo4j/version.rb
  5. +1 −1 neo4j.gemspec
View
3 CHANGELOG
@@ -1,3 +1,6 @@
+== 2.2.0 / 2012-10-02
+* Using neo4j-cypher gem (1.0.0)
+* Fix of neo4j-core configuration issue using boolean values #218
* Fixed RSpec issue on JRuby 1.7.x #217
* Aliased has_many to has_n, #183
View
31 README.rdoc
@@ -11,26 +11,16 @@ It uses two powerful and mature Java libraries:
== Documentation
-==== Version >= 2.0
-
-* {Blog}[http://blog.jayway.com/2012/05/07/neo4j-rb-2-0-an-overview/]
* {Github Wiki}[https://github.com/andreasronge/neo4j/wiki]
+* {Blog}[http://blog.jayway.com/2012/05/07/neo4j-rb-2-0-an-overview/]
* {YARD}[http://rdoc.info/github/andreasronge/neo4j/master/frames]
* RSpecs - There are 2023 RSpecs (478/neo4j-core, 425/neo4j-wrapper and 1120/this gem - 2012 April)
+* {Docs from NeoTechnology}[http://docs.neo4j.org/]
-==== Version < 2.0.alpha.5
-
-* {Guides and API}[http://neo4j.rubyforge.org/guides/index.html]
-* {RDoc}[http://neo4j.rubyforge.org]
-* {Blog: Neo4j and Rails 3}[http://blog.jayway.com/2011/03/02/neo4j-rb-1-0-0-and-rails-3/]
-* {Kvitter Example Application}[https://github.com/andreasronge/kvitter/]
-
-=== Presentation Materials and other URLs
+== Example applications
-* {JRubyConf 2012 May}[http://jrubyconf.com/#speakers]
-* {Presentation: RailsConf 2011}[http://andreasronge.github.com/neo4j-railsconf.pdf]
-* {Nordic Ruby 2010 May 21-23}[http://nordicruby.org/speakers#user_29]
-* {Docs from NeoTechnology}[http://docs.neo4j.org/]
+* {The Kvitter Rails 3.2x App}[https://github.com/andreasronge/kvitter] (kvitter = tweets in Swedish)
+* {Simple Rails 3.0 App}[https://github.com/andreasronge/neo4j-rails-example]
== Why Neo4j.rb or a Graph Database ?
@@ -50,7 +40,7 @@ Here are some of the major benefits of Neo4j.rb
== Public API
-The neo4j gem depends on the neo4j-wrapper and neo4j-core gems.
+The neo4j gem depends on the neo4j-wrapper and neo4j-core gems and neo4j-cypher gem.
=== neo4j gem
@@ -106,12 +96,9 @@ Example of creating an Neo4j Application from scratch:
rails s
open a webbrowser: http://localhost:3000/users
-To run it with Tomcat instead of WEBrick
-
- gem install trinidad
- trinidad
The -O flag above means that it will skip active record.
+For more information, read the {Github Wiki}[https://github.com/andreasronge/neo4j/wiki]
=== {neo4j-wrapper}[http://github.com/andreasronge/neo4j-wrapper]
@@ -140,7 +127,7 @@ Example of mapping a ruby class to a node and delaring properties and relationsh
Person.find("name: andreas").first.name # => 'andreas'
The Neo4j::NodeMixin and Neo4j::RelationshipMixin is implemented in the {neo4j-wrapper}[http://github.com/andreasronge/neo4j-wrapper] gem
-
+For more information, read the {Github Wiki}[https://github.com/andreasronge/neo4j/wiki]
=== neo4j-core gem
@@ -169,6 +156,8 @@ Example of creating a Neo4j::Node
The Neo4j::Node and Neo4j::Relationship is implemented in the {neo4j-core}[http://github.com/andreasronge/neo4j-core] gem.
+For more information, read the {Github Wiki}[https://github.com/andreasronge/neo4j/wiki]
+
== Architecture
As you seen above, neo4j.rb consists of a three layers API:
View
5 example/ha-cluster/Gemfile
@@ -1,5 +1,6 @@
source 'http://rubygems.org'
gem 'neo4j', :path => "../.."
-gem 'neo4j-advanced'
-gem 'neo4j-enterprise'
+
+gem 'neo4j-advanced', '1.8.RC1' # you might have to change this so that it is the same version as neo4j-community
+gem 'neo4j-enterprise', '1.8.RC1'
View
2 lib/neo4j/version.rb
@@ -1,3 +1,3 @@
module Neo4j
- VERSION = "2.2.0.rc1"
+ VERSION = "2.2.0"
end
View
2 neo4j.gemspec
@@ -32,5 +32,5 @@ It comes included with the Apache Lucene document database.
s.add_dependency('orm_adapter', ">= 0.0.3")
s.add_dependency("activemodel", ">= 3.0.0", "< 3.3")
s.add_dependency("railties", ">= 3.0.0", "< 3.3")
- s.add_dependency("neo4j-wrapper", '2.2.0.rc1')
+ s.add_dependency("neo4j-wrapper", '2.2.0')
end

0 comments on commit eca8004

Please sign in to comment.